<?php
if (! isset($data)) {
	exit;
}
?>
<div class="wpacu-wrap" id="wpacu-plugins-load-manager-wrap">
	<form method="post" action="" class="wpacu-settings-form">
		<?php
		$pluginsRows = array();

		foreach ($data['active_plugins'] as $pluginData) {
			$pluginPath = $pluginData['path'];
			list($pluginDir) = explode('/', $pluginPath);

			// [wpacu_pro]
			$pluginStatus = isset($data['rules'][$pluginPath]['status']) ? $data['rules'][$pluginPath]['status'] : array(); // array() from v1.1.8.3

			if (! is_array($pluginStatus)) {
				$pluginStatus = array($pluginStatus); // from v1.1.8.3
			}
			// [/wpacu_pro]

			ob_start();
			?>
			<tr>
				<td class="wpacu_plugin_icon" width="46">
					<?php if (isset($data['plugins_icons'][$pluginDir])) { ?>
						<img width="44" height="44" alt="" src="<?php echo esc_url($data['plugins_icons'][$pluginDir]); ?>" />
					<?php } else { ?>
						<div><span class="dashicons dashicons-admin-plugins"></span></div>
					<?php } ?>
				</td>
				<td class="wpacu_plugin_details" id="wpacu-front-manage-<?php echo esc_attr($pluginData['path']); ?>">
					<span class="wpacu_plugin_title"><?php echo esc_html($pluginData['title']); ?></span>
                    <span class="wpacu_plugin_path">&nbsp;<?php echo esc_html($pluginData['path']); ?></span>

					<?php
                    if ($pluginData['network_activated']) {
						echo '&nbsp;<span title="Network Activated" class="dashicons dashicons-admin-multisite wpacu-tooltip"></span>';
					}
                    ?>

					<div class="wpacu-clearfix"></div>

					<div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                         class="wpacu_plugin_unload_rules_options_wrap">
                        <div class="wpacu_plugin_rules_wrap">
                            <fieldset>
                                <legend><strong>Unload this plugin</strong> in the front-end:</legend>
                                <ul class="wpacu_plugin_rules">
                                    <!-- [Start] Unload Rules -->
                                    <?php
                                    $isUnloadSiteWide = in_array('unload_site_wide', $pluginStatus);
                                    ?>
                                    <li>
                                        <label for="wpacu_global_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                            <?php if ($isUnloadSiteWide) { echo 'class="wpacu_plugin_unload_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_site_wide wpacu_plugin_unload_rule_input"
                                                   id="wpacu_global_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
                                                <?php if ($isUnloadSiteWide) { echo 'checked="checked"'; } ?>
                                                   value="unload_site_wide" />
                                            <span>On all pages</span></label>
                                    </li>
                                    <?php
                                    $isUnloadHomepage = in_array('unload_home_page', $pluginStatus);
                                    ?>
                                    <li>
                                        <label for="wpacu_home_page_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
		                                    <?php if ($isUnloadHomepage) { echo 'class="wpacu_plugin_unload_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_home_page wpacu_plugin_unload_rule_input"
                                                   id="wpacu_home_page_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
			                                    <?php if ($isUnloadHomepage) { echo 'checked="checked"'; } ?>
                                                   value="unload_home_page" />
                                            <span>On the homepage</span></label>
                                    </li>
                                    <!-- [Unload based on the post type] -->
                                    <?php
                                    $isUnloadViaPostType = in_array('unload_via_post_type', $pluginStatus);
                                    ?>
                                    <li>
                                        <label for="wpacu_via_post_type_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                            <?php if ($isUnloadViaPostType) { echo 'class="wpacu_plugin_unload_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_via_post_type wpacu_plugin_unload_rule_input"
                                                   id="wpacu_via_post_type_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
                                                <?php if ($isUnloadViaPostType) { echo 'checked="checked"'; } ?>
                                                   value="unload_via_post_type" />
                                            <span>On pages of the following post types:</span></label>
                                        <!-- -->

                                        <div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                             class="wpacu_plugin_unload_via_post_type_select_wrap <?php if (! $isUnloadViaPostType) { ?>wpacu_hide<?php } ?>">
                                            <?php
                                            \WpAssetCleanUp\PluginsManager::buildPostTypesListDd(
                                                'unload_via_post_type',
                                                $isUnloadViaPostType,
                                                $data['post_types_list'],
                                                ( ( isset( $data['rules'][ $pluginPath ]['unload_via_post_type']['values'] ) && is_array( $data['rules'][ $pluginPath ]['unload_via_post_type']['values'] ) )
                                                    ? $data['rules'][ $pluginPath ]['unload_via_post_type']['values']
                                                    : array() ),
                                                $pluginPath
                                            );
                                            ?>
                                        </div>
                                    </li>
                                    <!-- [/Unload based on the post type] -->

                                    <!-- [Unload based on the page type] -->
	                                <?php
	                                $isUnloadViaTax = in_array('unload_via_tax', $pluginStatus);

	                                $taxGroupList = \WpAssetCleanUp\PluginsManager::generatePublicTaxonomyListForDd(esc_attr($pluginPath));

	                                $unloadViaTaxChosen = ( ( isset( $data['rules'][ $pluginPath ]['unload_via_tax']['values'] ) && is_array( $data['rules'][ $pluginPath ]['unload_via_tax']['values'] ) )
		                                ? $data['rules'][ $pluginPath ]['unload_via_tax']['values']
		                                : array() );
	                                ?>
                                    <li>
                                        <label for="wpacu_via_page_type_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
			                                <?php if ($isUnloadViaTax) { echo 'class="wpacu_plugin_unload_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_via_tax wpacu_plugin_unload_rule_input"
                                                   id="wpacu_via_page_type_unload_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
				                                <?php if ($isUnloadViaTax) { echo 'checked="checked"'; } ?>
                                                   value="unload_via_tax" />
                                            <span>On the following taxonomy pages:</span></label>
                                        <!-- -->

                                        <div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                             class="wpacu_plugin_unload_via_tax_select_wrap <?php if (! $isUnloadViaTax) { ?>wpacu_hide<?php } ?>">
                                            <?php
                                            \WpAssetCleanUp\PluginsManager::buildTaxListDd(
	                                            'unload_via_tax',
	                                            $isUnloadViaTax,
	                                            $taxGroupList,
	                                            $unloadViaTaxChosen,
	                                            $pluginPath
                                            );
                                            ?>
                                        </div>
                                    </li>
                                    <!-- [/Unload based on the page type] -->

                                    <?php
                                    $isUnloadViaRegEx = in_array('unload_via_regex', $pluginStatus);
                                    ?>
                                    <li>
                                        <label for="wpacu_unload_it_regex_option_<?php echo esc_attr($pluginPath); ?>"
                                            <?php if ($isUnloadViaRegEx) { echo 'class="wpacu_plugin_unload_rule_input_checked"'; } ?>
                                               style="margin-right: 0;">
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   id="wpacu_unload_it_regex_option_<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_regex_option wpacu_plugin_unload_rule_input"
                                                   type="checkbox"
                                                <?php if ($isUnloadViaRegEx) { echo 'checked="checked"'; } ?>
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
                                                   value="unload_via_regex">&nbsp;<span>If request URI matches these RegEx(es):</span></label>
                                        <a class="help_link unload_it_regex"
                                           target="_blank"
                                           href="https://assetcleanup.com/docs/?p=372#wpacu-unload-plugins-via-regex"><span style="color: #74777b;" class="dashicons dashicons-editor-help"></span></a>
                                        <div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                             class="wpacu_plugin_unload_regex_input_wrap <?php if (! $isUnloadViaRegEx) { ?>wpacu_hide<?php } ?>">
                                            <textarea class="wpacu_regex_rule_textarea"
                                                      data-wpacu-adapt-height="1"
                                                      name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][unload_via_regex][value]"><?php if (isset($data['rules'][$pluginPath]['unload_via_regex']['value']) && $data['rules'][$pluginPath]['unload_via_regex']['value']) {
                                                    echo esc_attr($data['rules'][$pluginPath]['unload_via_regex']['value']); } ?></textarea>
                                            <p><small><span style="font-weight: 500;">Note:</span> Multiple RegEx rules can be added as long as they are one per line.</small></p>
                                        </div>
                                    </li>
                                    <?php
                                    $isUnloadIfLoggedInEnabled = in_array('unload_logged_in', $pluginStatus);
                                    ?>
                                    <li>
                                        <label for="wpacu_unload_it_logged_in_plugin_<?php echo esc_attr($pluginPath); ?>" style="margin-right: 0;">
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   id="wpacu_unload_it_logged_in_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_unload_logged_in"
                                                   type="checkbox"
                                                <?php if ($isUnloadIfLoggedInEnabled) { echo 'checked="checked"'; } ?>
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
                                                   value="unload_logged_in" />&nbsp;<span>If the user is logged in</span>
                                        </label>
                                    </li>
                                    <!-- [End] Unload Rules -->
							    </ul>
                                <div class="wpacu-clearfix"></div>
                            </fieldset>
					    </div>
                    </div>

					<!-- [Start] Make exceptions: Load Rules -->
					<?php
                    $noUnloadRuleSet = ! ($isUnloadSiteWide || $isUnloadHomepage || $isUnloadViaPostType || $isUnloadViaTax || $isUnloadViaRegEx || $isUnloadIfLoggedInEnabled);

					$isLoadHomepage = in_array('load_home_page', $pluginStatus);
					$isLoadViaPostType = in_array('load_via_post_type', $pluginStatus);
					$isLoadViaTax = in_array('load_via_tax', $pluginStatus);
					$isLoadViaRegExEnabled = isset($data['rules'][$pluginPath]['load_via_regex']['enable']) && $data['rules'][$pluginPath]['load_via_regex']['enable'];
					$isLoadIfLoggedInEnabled = isset($data['rules'][$pluginPath]['load_logged_in']['enable']) && $data['rules'][$pluginPath]['load_logged_in']['enable'];
					?>
					<div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
					     class="wpacu_plugin_load_exception_options_wrap <?php if ($noUnloadRuleSet) { ?>wpacu_hide<?php } ?>">
						<div class="wpacu_plugin_rules_wrap">
                            <fieldset>
                                <legend>Make an exception from any unload rule &amp; <strong>always load it</strong> in the front-end:</legend>
							    <ul class="wpacu_plugin_rules wpacu_exception_options_area">
                                    <li>
                                        <label for="wpacu_home_page_load_plugin_<?php echo esc_attr($pluginPath); ?>"
										    <?php if ($isLoadHomepage) { echo 'class="wpacu_plugin_load_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_load_home_page wpacu_plugin_load_rule_input"
                                                   id="wpacu_home_page_load_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
											    <?php if ($isLoadHomepage) { echo 'checked="checked"'; } ?>
                                                   value="load_home_page" />
                                            <span>On the homepage</span></label>
                                    </li>
                                    <li>
                                        <label for="wpacu_via_post_type_load_plugin_<?php echo esc_attr($pluginPath); ?>"
                                            <?php if ($isLoadViaPostType) { echo 'class="wpacu_plugin_load_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_load_via_post_type wpacu_plugin_load_rule_input"
                                                   id="wpacu_via_post_type_load_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
                                                <?php if ($isLoadViaPostType) { echo 'checked="checked"'; } ?>
                                                   value="load_via_post_type" />
                                            <span>On pages of the following post types:</span></label>

                                        <!-- -->

                                        <div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                             class="wpacu_plugin_load_via_post_type_select_wrap <?php if (! $isLoadViaPostType) { ?>wpacu_hide<?php } ?>">
                                            <?php
                                            \WpAssetCleanUp\PluginsManager::buildPostTypesListDd(
                                                'load_via_post_type',
                                                $isLoadViaPostType,
                                                $data['post_types_list'],
                                                ( ( isset( $data['rules'][ $pluginPath ]['load_via_post_type']['values'] ) && is_array( $data['rules'][ $pluginPath ]['load_via_post_type']['values'] ) )
                                                    ? $data['rules'][ $pluginPath ]['load_via_post_type']['values']
                                                    : array() ),
                                                $pluginPath
                                            );
                                            ?>
                                        </div>
                                    </li>

                                    <!-- [Load exception based on the page type] -->
								    <?php
								    $taxGroupList = \WpAssetCleanUp\PluginsManager::generatePublicTaxonomyListForDd(esc_attr($pluginPath));

								    $loadViaTaxChosen = ( ( isset( $data['rules'][ $pluginPath ]['load_via_tax']['values'] ) && is_array( $data['rules'][ $pluginPath ]['load_via_tax']['values'] ) )
									    ? $data['rules'][ $pluginPath ]['load_via_tax']['values']
									    : array() );
								    ?>
                                    <li>
                                        <label for="wpacu_via_page_type_load_plugin_<?php echo esc_attr($pluginPath); ?>"
										    <?php if ($isLoadViaTax) { echo 'class="wpacu_plugin_load_rule_input_checked"'; } ?>>
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_load_via_tax wpacu_plugin_load_rule_input"
                                                   id="wpacu_via_page_type_load_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   type="checkbox"
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][status][]"
											    <?php if ($isLoadViaTax) { echo 'checked="checked"'; } ?>
                                                   value="load_via_tax" />
                                            <span>On the following taxonomy pages:</span></label>
                                        <!-- -->

                                        <div data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                             class="wpacu_plugin_load_via_tax_select_wrap <?php if (! $isLoadViaTax) { ?>wpacu_hide<?php } ?>">
                                            <?php
                                            \WpAssetCleanUp\PluginsManager::buildTaxListDd(
	                                            'load_via_tax',
	                                            $isLoadViaTax,
	                                            $taxGroupList,
	                                            $loadViaTaxChosen,
	                                            $pluginPath
                                            );
                                            ?>
                                        </div>
                                    </li>
                                    <!-- [/Load exception based on the page type] -->

                                    <li>
                                        <label for="wpacu_load_it_regex_option_plugin_<?php echo esc_attr($pluginPath); ?>" style="margin-right: 0;">
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   id="wpacu_load_it_regex_option_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_load_exception_regex wpacu_plugin_load_rule_input"
                                                   type="checkbox"
                                                <?php if ($isLoadViaRegExEnabled) { echo 'checked="checked"'; } ?>
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][load_via_regex][enable]"
                                                   value="1" />&nbsp;<span>If the URL (its URI) is matched by a RegEx(es):</span>
                                        </label>&nbsp;<a style="color: #74777b;" class="help_link" target="_blank" href="https://assetcleanup.com/docs/?p=372#wpacu-unload-plugins-via-regex"><span class="dashicons dashicons-editor-help"></span></a>&nbsp;
                                        <div class="wpacu_load_regex_input_wrap <?php if (! $isLoadViaRegExEnabled) { echo 'wpacu_hide'; } ?>"
                                             data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>">
                                            <textarea class="wpacu_regex_rule_textarea"
                                                      data-wpacu-adapt-height="1"
                                                      name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][load_via_regex][value]"><?php if (isset($data['rules'][$pluginPath]['load_via_regex']['value']) && $data['rules'][$pluginPath]['load_via_regex']['value']) {
                                                    echo esc_attr($data['rules'][$pluginPath]['load_via_regex']['value']); } ?></textarea>
                                            <p><small><span style="font-weight: 500;">Note:</span> Multiple RegEx rules can be added as long as they are one per line.</small></p>
                                        </div>
                                    </li>
                                    <li>
                                        <label for="wpacu_load_it_logged_in_plugin_<?php echo esc_attr($pluginPath); ?>" style="margin-right: 0;">
                                            <input data-wpacu-plugin-path="<?php echo esc_attr($pluginPath); ?>"
                                                   id="wpacu_load_it_logged_in_plugin_<?php echo esc_attr($pluginPath); ?>"
                                                   class="wpacu_plugin_load_exception_logged_in wpacu_plugin_load_rule_input"
                                                   type="checkbox"
                                                <?php if ($isLoadIfLoggedInEnabled) { echo 'checked="checked"'; } ?>
                                                   name="wpacu_plugins[<?php echo esc_attr($pluginPath); ?>][load_logged_in][enable]"
                                                   value="1" />&nbsp;<span>If the user is logged in</span>
                                        </label>
                                    </li>
							    </ul>
                                <div class="wpacu-clearfix"></div>
                            </fieldset>
						</div>
					</div>
					<div class="wpacu-clearfix"></div>
					<!-- [End] Make exceptions: Load Rules -->
				</td>
			</tr>
			<?php
			$trOutput = ob_get_clean();

			if (empty($pluginStatus)) {
				$pluginsRows['always_loaded'][] = $trOutput;
			} else {
				$pluginsRows['has_unload_rules'][] = $trOutput;
			}
		}

		if (isset($pluginsRows['has_unload_rules']) && ! empty($pluginsRows['has_unload_rules'])) {
			$totalWithUnloadRulesPlugins = count($pluginsRows['has_unload_rules']);
			?>
			<h3><span style="color: #c00;" class="dashicons dashicons-admin-plugins"></span> <span style="color: #c00;"><?php echo (int)$totalWithUnloadRulesPlugins; ?></span> plugin<?php echo ($totalWithUnloadRulesPlugins > 1) ? 's' : ''; ?> with active unload rules</h3>
			<table class="wp-list-table wpacu-list-table widefat plugins striped">
				<?php
				foreach ( $pluginsRows['has_unload_rules'] as $pluginRowOutput ) {
					echo \WpAssetCleanUp\Misc::stripIrrelevantHtmlTags($pluginRowOutput) . "\n";
				}
				?>
			</table>
			<?php
		}

		if (isset($pluginsRows['always_loaded']) && ! empty($pluginsRows['always_loaded'])) {
			if (isset($pluginsRows['has_unload_rules']) && count($pluginsRows['has_unload_rules']) > 0) {
				?>
				<div style="margin-top: 35px;"></div>
				<?php
			}

			$totalAlwaysLoadedPlugins = count($pluginsRows['always_loaded']);
			?>

			<h3><span style="color: green;" class="dashicons dashicons-admin-plugins"></span> <span style="color: green;"><?php echo (int)$totalAlwaysLoadedPlugins; ?></span> plugin<?php echo ($totalAlwaysLoadedPlugins > 1) ? 's' : ''; ?> with no active unload rules (loaded by default)</h3>
			<table class="wp-list-table wpacu-list-table widefat plugins striped">
				<?php
				foreach ( $pluginsRows['always_loaded'] as $pluginRowOutput ) {
					echo \WpAssetCleanUp\Misc::stripIrrelevantHtmlTags($pluginRowOutput) . "\n";
				}
				?>
			</table>
			<?php
		}
		?>
		<div id="wpacu-update-button-area" style="margin-left: 0;">
			<?php
			wp_nonce_field('wpacu_plugin_manager_update', 'wpacu_plugin_manager_nonce');
			submit_button('Apply changes within frontend view');
			?>
			<div id="wpacu-updating-settings" style="margin-left: 294px; top: 31px;">
				<img src="<?php echo esc_url(admin_url('images/spinner.gif')); ?>" align="top" width="20" height="20" alt="" />
			</div>
			<input type="hidden" name="wpacu_plugins_manager_submit" value="1" />
		</div>
	</form>
</div>